
Auto Multiple Choice - Bug # 591: \AMCcodeGrid ne fonctionne pas correctement s'il n'a qu'un seul 
argument

Status: Closed Priority: Normal
Author: Alexis Flesch Category:
Created: 09/20/2018 Assignee:
Updated: 12/29/2018 Due date:
Description: Lorsque j'utilise AMCcodeGrid et que je ne souhaite afficher qu'une ligne comme ceci

\AMCcodeGrid[v,top]{etu}{ABCDEFGHIJKLMNOPQRSTUVWXYZ}

le document compile et affiche ce qui est attendu, cependant AMC est incapable de récupérer l'information. 
Dans l'onglet "Notation", sous "Titre du code pour association automatique", je ne trouve pas "etu". Si j'ajoute 
un deuxième argument à AMCcodeGrid, l'association fonctionne.

History
09/21/2018 12:15 pm - Alexis Bienvenüe
- Status changed from New to Feedback

- Target version set to 1.4.0

C'était fait exprès car je ne pensais pas qu'il puisse être utile d'utiliser des codes à un seul chiffre (au début @AMCcodeGrid@ n'existait pas, donc 10 
étudiants c'est peu…), mais je pense que je vais changer cela dans la prochaine version.
Vous pouvez changer la ligne 316 de @AMC-note.pl@ en remplaçant @>@ par @>=@ pour permettre le traitement de codes à un seul caractère :

  if ($#i >= 0) {

dans
<pre>
  for my $k (keys %codes) {
    my @i=(keys %{$codes{$k}});
    if ($#i >= 0) {
      my $v=join('',map { $codes{$k}->{$_} }
		 sort { $b <=> $a } (@i));
      $scoring->new_code(@$sc,$k,$v);
    }
  }
</pre>

09/24/2018 01:05 pm - Alexis Flesch
Super, merci beaucoup !

J'ai testé un code à 26 lettres en demandant aux étudiants de cocher les 4 premières lettres du nom + les 4 premières du prénom, et sur des petits 
groupes on n'a pas de doublon. Sur 650 étudiants, 10 doublons seulement (!!) et là il faut utiliser un chiffre pour discriminer.

Du coup AMCcodeGrid peut se révéler utile même avec une seule lettre !

12/29/2018 09:22 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
Applied with git:6fecbfafbb.
